﻿@model Tuple<List<DSOCatalogItemView>, int, int>
@{
    bool _View = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.SalesOrder.ToDescriptionString() && c.InternalKey == Enums.Actions.View.ToDescriptionString()).FirstOrDefault() != null ? true : false;
}

<div class="col-xs-6 col-md-6 pull-left">
    @DataTables.Show
    <select id="PageQtyDSOCatalogItems" class="QuantitySelector"><option @(Model.Item3 == 10 ? "selected" : "") value="10">10</option><option @(Model.Item3 == 25 ? "selected" : "") value="25">25</option><option @(Model.Item3 == 50 ? "selected" : "") value="50">50</option></select>
    @DataTables.Entries
</div>
<div class="col-xs-6 col-md-6 pull-right no-padding">
    <button id="NextDSOCatalogItems" onclick="mStartDSOCatalogItems = mStartDSOCatalogItems + Number($('#PageQtyDSOCatalogItems').val()); GetDSOCatalogItems($('#DSO_Catalog_Code_Actual').val()); return false;" class="btn btn-success btn-ls pull-right margin-left">Next <span class="glyphicon glyphicon-chevron-right"></span></button>
    <button id="PreviousDSOCatalogItems" onclick="mStartDSOCatalogItems = mStartDSOCatalogItems - Number($('#PageQtyDSOCatalogItems').val()); GetDSOCatalogItems($('#DSO_Catalog_Code_Actual').val()); return false;" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-chevron-left"></span> Previous </button>
    <input type="number" id="TotalQuantityDSOCatalogItems" class="form-control" disabled="disabled" style="display:none;" value="@Model.Item2">
</div>
<div class="clear_simple"></div>

<div class="row list-group" id="products">

    @foreach (DSOCatalogItemView mItems in Model.Item1)
    {
        <div class="item_preseason_full">

                @if (!string.IsNullOrEmpty(mItems.Image.Trim()))
                {
                    <div class="photo_list"><img class="" src="/images/@mItems.Image" alt="" /></div>
                }
                else
                {
                    <div class="photo_list"><img class="" src="~/Content/img/noimage.gif" alt="" /></div>
                }

                <div class="caption">
                    <div class="thumb_data_ampliable">
                        <a href="#" onclick="$(this).parent().find('.panel_info_preseason').toggleClass('open_info_preseason');  return false;" class="open_panel"><span>More</span></a>
                        <div class="panel_info_preseason">
                            <div class="thumb_data"><strong>@PurchaseOrders.Code</strong>: @mItems.ItemCode </div>
                            <div class="thumb_data"><strong>@PurchaseOrders.Description</strong>: @mItems.ItemName </div>
                            <div class="thumb_data"><strong>Grupo</strong>: @mItems.Grupo </div>
                            <div class="thumb_data"><strong>Rubro</strong>: @mItems.Rubros </div>
                            <div class="thumb_data"><strong>Marca</strong>: @mItems.Marca </div>
                            <div class="thumb_data"><strong>Familia</strong>: @mItems.Familia </div>
                            <div class="thumb_data"><strong>Proveedor</strong>: @mItems.Proveedor </div>
                            <div class="thumb_data"><strong>Stock</strong>: @mItems.OnHand </div>
                        </div>
                        <div class="preseason_price_full">
                            <div class="col-lg-6 pull-left border_left_compa precio_hide"><em>@PurchaseOrders.Price</em> @mItems.Price </div>
                        </div>
                        <div class="preseason_attach">
                            <div class="col-lg-2 pull-left">
                                <a onclick="GetStock('@mItems.ItemCode')" class="btn btn-default btn-md">ATP</a>
                            </div>
                            <div class="col-lg-2 pull-left">
                                <input type="number" id="qty_@mItems.ItemCode" class="form-control quantityDocuments" value="1">
                            </div>
                            <div class="col-lg-2 col-md-2 col-xs-2 pull-right no-padding-left">
                                <button onclick="AddDSOItem('@mItems.ItemCode'); return false;" class="btn btn-success btn-md">
                                    <span class="glyphicon glyphicon-plus"></span>
                                </button>
                            </div>
                            <div class="col-lg-2 col-md-2 col-xs-2 pull-right no-padding-left">
                                @if (_View)
                                {
                                    <a target="_blank" href="/MasterData/MasterData/ActionItemMaster?pActionItemMaster=View&pItemCode=@mItems.ItemCode" class="btn btn-success btn-md">
                                        <span class="glyphicon glyphicon-eye-open"></span>
                                    </a>
                                }
                            </div>
                        </div>
                        
                    </div>
                </div>
        </div>
    }
</div>

<script>
    function AddDSOItem(pItemCode) {
    var mItemsQty = [];
    var mListItems = [];

    var pReqDate;
    if (isNaN($("#ReqDate").datepicker("getDate"))) {
        pReqDate == null;
    }
    else {
        var dateReqDate = $("#ReqDate").datepicker("getDate");
        pReqDate = (isNaN(dateReqDate) == true ? null : (dateReqDate.getMonth() + 1) + "/" + dateReqDate.getDate() + "/" + dateReqDate.getFullYear());
    }

    switch ($("#TypeCurrency").val()) {
        case "C":
            $("#txtCurrencySg").show();
            mTypeCurrency = $("#txtCurrencySg").val();
            break;
        case "L":
            $("#txtCurrencySg").hide();
            mTypeCurrency = $("#LocalCurrency").val();
            break;
        case "S":
            $("#txtCurrencySg").hide();
            mTypeCurrency = $("#SystemCurrency").val();
            break;
    }

    mItemsQty.push({ Code: pItemCode, Qty: $("#qty_" + pItemCode).val() });
    mListItems.push(pItemCode);

    $('#Loading').modal({
        backdrop: 'static'
    });
    var mToday = new Date();
    $.ajax({
        url: '/Sales/SalesOrder/_ItemsFormCopyPaste',
        contextType: 'application/html;charset=utf-8',
        data: { pItems: mListItems, pCurrency: mTypeCurrency, CardCode: $("#txtCodeVendor").val(), pReqDate: pReqDate, pPageKey: $('#Pagekey').val(), pLineToReplace: -1, pItemsQty: JSON.stringify(mItemsQty) },
        type: 'POST',
        dataType: 'html'
    }).done(function (data) {
        $('#Loading').modal('hide');
        $("#ItemsSelect").html(data).trigger('change');
        $("#RightLateralMessageContent").html("Items agregados correctamente.");
        $("#RightLateralMessage").show("slow");
        $("#RightLateralMessage").delay(2000).slideUp(1000);
    });
}

</script>